The Shipment List View end-point provides a list of Shipments associated with the requesting user.
Request URI
GET https://pluto.cargobase.com/api/1/shipments/
Content-Type: application/json
Authorization: Token your_token_here
Note Shipments that have not yet been awarded are considered 'Requests' and are not yet available in this list.
Status codes
| Status | Description | Resolution |
|---|---|---|
| 200 | OK | -- |
| 403 | Forbidden | check Authentication token, or status of the Shipment |
Request Response definition
Results (Main message)
| Key | Value | Definition |
|---|---|---|
| shipment_reference | STRING | Cargobase Shipment ID |
| shipment_title | STRING | Title of the Shipment, as provided by the Shipper |
| freight_mode | STRING | Awarded Freight Mode |
| shipper | STRING | Name of the Shipper company |
| quote_title | INT | Title of the awarded quote |
| status | STRING | Current status of the shipment, see list for potential status below |
| pickup_city | STRING | The city name for Shipment pickup |
| pickup_country | STRING | The country name for Shipment pickup |
| stop1_city | STRING | The city name of the Delivery location |
| stop1_country | STRING | The country name of the Delivery location |
| primary_tracking_number | STRING | The Primary tracking / reference number of the Provider for this shipment |
| created_by | STRING | The email ID of the initiating user account, visible to Shippers only |
| last_modified | STRING | The Date and Time in UTC since the most recent update to this shipment |
Shipment status options
| Status | Definition |
|---|---|
| Booked | An awarded Shipment with a future pick-up time |
| In Transit | A Shipment with a past pick-up time and future delivery time |
| Delayed | A non-delivered Shipment with a past delivery time |
| Canceled | A Shipment that has been canceled by the Shipper < 24 hours ago |
| Delivered | A Shipment that has been delivered < 24 hours |
Note Shipments that are delivered or canceled will be removed from this list after 24 hours.
"Footer"
| Key | Value | Definition |
|---|---|---|
| previous | STRING | URL to the previous page, in case page number is higher than 1 |
| record_end | INTEGER | Number of the highest Shipment on the page |
| count | INTEGER | Total number of Shipments available to the user, across all pages |
| page | INTEGER | Page number |
| record_start | INTEGER | Number of the first Shipment on the page |
| next | STRING | URL to the previous page, in case page number is lower than the highest available |
Pagination
The Shipment list results are paginated with 10 results per page by default.
Results are displayed in descending order, that means that result 1 on page 1 is the newest addition.
To request a specific page append ?page=XX to the URI.
To request a specific number of items per page, append ?page_size=xx to the URI.
Results can also be filtered to only display results of the account calling the API, this is done by appending '=self'.
Example
Calling the API to show only your own requests, with 25 per page and viewing page 3 is
GET https://pluto.cargobase.com/api/1/shipments/?=self&page_size=25&page=3
Content-Type: application/json
Authorization: Token your_token_here
Known issues
- None at this moment.